<ion-header>
  <ion-toolbar  color="success">
    
    
  </ion-toolbar>


</ion-header>

<ion-content>
  <ion-row>
    <ion-col>
      <ion-card button routerLink="/app/user-profile" routerDirection="forward">
        <ion-card-content>
          <ion-item lines="none">
            <ion-avatar class="avatar-principal" slot="start">
              <ion-skeleton-text animated *ngIf="!usuario"></ion-skeleton-text>
              <img *ngIf="usuario.imagen_perfil==null" src="../../../../assets/img/wall.jpg">
              <img *ngIf="usuario.imagen_perfil!=null" src="{{usuario.imagen_perfil}}">
            </ion-avatar>
            <ion-label text-wrap>
              <ion-text color="primary">
                  <ion-skeleton-text animated style="width: 100%" *ngIf="!usuario"></ion-skeleton-text>
                  <h1 *ngIf="usuario" style="color:black;" style="font-family:'Quicksand_Book'">{{usuario.nombre}} {{usuario.apellido}}</h1>
              </ion-text>
              <ion-text color="secondary">
                <p style="color:black;" style="font-family:'Quicksand_Book'">{{usuario.eps}}</p>
              </ion-text>
            </ion-label>
          </ion-item>
        </ion-card-content>  
      </ion-card>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="40" viewBox="0 0 429.041 40">
        <g id="Grupo_11" data-name="Grupo 11" transform="translate(0.021 -258.5)">
          <text id="Navega" transform="translate(213.5 290.5)" fill="#0063b0" font-size="30" font-family="Quicksand_Book" font-weight="700"><tspan x="-53.379" y="0">Navega</tspan></text>
          <line id="Línea_1" data-name="Línea 1" y1="1" x2="145" transform="translate(0 282)" fill="none" stroke="#45a735" stroke-width="6"/>
          <line id="Línea_2" data-name="Línea 2" y1="1" x2="145" transform="translate(284 282)" fill="none" stroke="#45a735" stroke-width="6"/>
        </g>
      </svg>
      
      <ion-card button (click)="reseteo()" >
        <ion-card-content  style="text-align: center;">
     

          <img src="../../../../assets/img/16.png" style="width: auto; height: auto;">
         
          
        </ion-card-content>
      </ion-card>
    </ion-col>
  </ion-row>

 <ion-card>
<!--<ion-fab vertical="top"  style="margin-bottom: 60px;" horizontal="start" slot="fixed">
    <ion-fab-button   (click)="presentAlert()">
      <ion-icon style="font-size: 50px; font-weight: bold;" name="information"></ion-icon>
    </ion-fab-button>
  </ion-fab>
 <ion-segment mode="md" style="padding:10px;color:black; " (ionChange)="cambioSegmento($event)" [ngModel]="seccion">
   
    <ion-segment-button mode="md" value="favoritos" style="padding: 20px; color:black;">
      <ion-label>Favoritos</ion-label>
    </ion-segment-button >
  
  </ion-segment>-->

      <ion-fab horizontal="start" vertical="top" (click)="presentAlert()" slot="fixed">
        <ion-fab-button color="secondary">
              <ion-icon style="font-size: 50px; font-weight: bold;" name="information"></ion-icon>

        </ion-fab-button>
     
      </ion-fab>
<svg xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="84" viewBox="0 0 343.5 84">
 
  <g id="Grupo_14" data-name="Grupo 14" transform="translate(-37.5 -619.5)">
    <text id="Favoritos" transform="translate(213.5 651.5)" fill="#646566" font-size="30" font-family="Quicksand_Book"><tspan x="-59.502" y="0">Favoritos</tspan></text>
    <line id="Línea_3" data-name="Línea 3" x2="334" transform="translate(47 666)" fill="none" stroke="#707070" stroke-width="1.5"/>
    <g transform="matrix(1, 0, 0, 1, 37.5, 619.5)" filter="url(#Elipse_1)">
      <g id="Elipse_1-2" data-name="Elipse 1" transform="translate(9 20)" fill="#91c7f1" stroke="#91c7f1" stroke-width="1">
        <ellipse cx="25.5" cy="26" rx="25.5" ry="26" stroke="none"/>
        <ellipse cx="25.5" cy="26" rx="25" ry="25.5" fill="none"/>
      </g>
    </g>
    <text id="i" transform="translate(72.5 673.5)" fill="#fff" font-size="30" font-family="Perpetua-Bold, Perpetua" font-weight="700"><tspan x="-4.38" y="0">i</tspan></text>
  </g>
</svg>

  <div width="100%" height="172">
    <div>
      <div *ngFor="let itemx of clnicasObserbavle2|async">
        <div *ngFor="let item of clinicas">
         <div>
          <div *ngIf="item==itemx.nities"  style="margin-left:30px;" lines="none">
          
            <div style="padding: 10px;"  lines="none">
            <ion-label style="margin-left: 10px;">
              <h4>
                {{itemx.nombres}}
                
              </h4>
              <p>{{itemx.direcciones}}</p>
              <br><br>
              <div style="padding:10px;">
              <p style="color: yellowgreen;font-weight: bold;" *ngIf="itemx.recomendaciones>itemx.sinservicios && itemx.recomendaciones>itemx.congestiones &&(itemx.recomendaciones>=10)">
            
                Recomendada
              </p>

              <p style="color: #03C03C;font-weight:5px black bold;" *ngIf="itemx.congestiones>itemx.recomendaciones && itemx.congestiones>itemx.sinservicios &&(itemx.congestiones>=10)">
               Congestionada
              </p>


              
              <p style="color:red;font-weight: bold;" *ngIf="itemx.sinservicios>itemx.recomendaciones && itemx.sinservicios>itemx.congestiones &&(itemx.sinservicios>=10)">
                Sin Servicio
              </p>
              </div>
            <ul style="list-style: none;">
            <li style="display:inline; padding: 5px;"><p style=" display:inline; padding: 5px; font-weight:bold; color:#0063B0; font-weight: bold;">R:</p><p style="display: inline;"> {{itemx.recomendaciones}}</p></li>
            <li style="display:inline; padding: 5px;" ><p style="display:inline; padding: 5px; font-weight: bold; color: #0063B0;">Ss:</p><p style="display: inline;">{{itemx.sinservicios}}</p></li>
            <li style="display:inline; padding: 5px;"><p style="display:inline; padding: 5px; font-weight: bold; color: #0063B0;">Cg:</p><p style="display: inline;">{{itemx.congestiones}}</p></li>
            </ul>
            </ion-label>
            <ion-list lines="none">
              <ion-item button (click)="verComentarios(itemx.uid)" style="margin-bottom:10px; border:0.2px solid gray;">
              <img src="assets/img/17.png" style="width:30px;height:30px;margin-right:10px;">
                <span style="font-family:'Quicksand_Book'">Comentarios</span>
              </ion-item>

               <ion-item  button (click)="mapita(itemx.nities,itemx.uid)"style="margin-bottom:10px; border:0.2px solid gray;">
                             <img src="assets/img/radar.png" style="width:30px;height:30px;margin-right:10px;">

                <span style="font-family:'Quicksand_Book'">Trazar Ruta</span>
              </ion-item>
            </ion-list>
           <!-- <ion-fab-button color="danger" *ngIf="usuario.nombre!='apple'" (click)="opcionesInterinas(itemx.nities,itemx.uid)">
              <ion-icon name="locate"></ion-icon>
            </ion-fab-button>-->
           
        
         
          </div>
          
        
          
  
      
          </div>
         </div>
          
        </div>
      </div>
    </div>
  </div>
  
  

 <button  class="btn btn-primary" (click)="ejecutante()" style="background-color: #91C7F1; border:none; width:100%;padding:10px;font-family:'Quicksand_Book'">Ver Favoritos</button>

 <div [ngSwitch]="seccion">
      <div *ngSwitchCase="'actividad'">
       <div >
        <div  *ngFor="let itemx of clnicasObserbavle2|async">
          <div  *ngFor="let item of clinicas">
            <div>
              <ion-list *ngIf="item==itemx.nities" lines="none">
          
                <ion-item  style="padding: 10px; border:none;" lines="none">
                  <ion-label>
                    <p style="margin-left: 20px;">
                      {{itemx.nombres}} 
                      
                    </p>
                    <h4>Comentarios Totales:{{itemx.codigos_comentarios.length}}</h4>
                  </ion-label>

                  <ul style="list-style:none;">

                    <li style="display:inline;color:#03C03C;font-weight: bold;"><p>Recomendaciones:</p>{{itemx.recomendaciones}}</li>
                    <li style="display:inline;color: black;font-weight: bold;"><p>Congestiones:</p>{{itemx.congestiones}}</li>
                    <li style="display:inline;color: red;font-weight: bold;"><p>Sin Servicios:</p>{{itemx.sinservicios}}</li>
                  </ul>
              
                 <p style="margin-left: 20px;" *ngIf="itemx.recomendaciones>itemx.sinservicios && itemx.recomendaciones>itemx.congestiones &&(itemx.recomendaciones>=10)">
                  
                  Estado:Recomendada
                </p>

                <p style="margin-left: 20px;" *ngIf="itemx.congestiones>itemx.recomendaciones && itemx.congestiones>itemx.sinservicios &&(itemx.congestiones>=10)">
                  Estado:Congestionada
                </p>


                
                <p style="margin-left: 20px;" *ngIf="itemx.sinservicios>itemx.recomendaciones && itemx.sinservicios>itemx.congestiones &&(itemx.sinservicios>=10)">
                  Estado:Sin Servicio
                </p>
              
               </ion-item>
               
               
              
          
           
               </ion-list>
            </div>
          </div>
        </div>
       </div>
      
      
      </div>
  
      
        <div *ngSwitchCase="'favoritos'">
      
         
       
          
          
        </div>
    </div>
    
 
      


 

  </ion-card>
 
  
</ion-content>


<ion-footer>
  <ion-toolbar  color="success">
    
    
  </ion-toolbar>


</ion-footer>
